Bug 1926918 (CVE-2021-1721) - CVE-2021-1721 dotnet: certificate chain building recursion Denial of Service
Summary: CVE-2021-1721 dotnet: certificate chain building recursion Denial of Service
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-1721
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1921938 1922272 1923368 1923377 1924761 1924765
Blocks: 1926911
TreeView+ depends on / blocked
 
Reported: 2021-02-09 16:35 UTC by Stefan Cornelius
Modified: 2021-02-11 11:38 UTC (History)
8 users (show)

Fixed In Version: dotnet runtime 2.1.25, dotnet sdk 2.1.521, dotnet runtime 3.1.12, dotnet sdk 3.1.112, dotnet runtime 5.0.3, dotnet sdk 5.0.103
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in dotnet. A recursion error when building X.509 certificate chains can lead to a stack overflow which could crash the system. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed: 2021-02-10 22:09:47 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2021:0478 0 None None None 2021-02-11 11:26:06 UTC
Red Hat Product Errata RHBA-2021:0479 0 None None None 2021-02-11 11:38:52 UTC
Red Hat Product Errata RHSA-2021:0470 0 None None None 2021-02-10 16:59:02 UTC
Red Hat Product Errata RHSA-2021:0471 0 None None None 2021-02-10 16:37:41 UTC
Red Hat Product Errata RHSA-2021:0472 0 None None None 2021-02-10 16:59:51 UTC
Red Hat Product Errata RHSA-2021:0473 0 None None None 2021-02-10 17:00:27 UTC
Red Hat Product Errata RHSA-2021:0474 0 None None None 2021-02-10 17:29:38 UTC
Red Hat Product Errata RHSA-2021:0476 0 None None None 2021-02-10 17:36:22 UTC

Description Stefan Cornelius 2021-02-09 16:35:38 UTC
A recursion error when building X509 certificate chains was discovered, which, after a long time, can ultimately lead to a stack overflow. A malicious remote attacker could exploit this to cause a crash.

Comment 8 errata-xmlrpc 2021-02-10 16:37:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:0471 https://access.redhat.com/errata/RHSA-2021:0471

Comment 9 errata-xmlrpc 2021-02-10 16:59:01 UTC
This issue has been addressed in the following products:

  .NET Core on Red Hat Enterprise Linux

Via RHSA-2021:0470 https://access.redhat.com/errata/RHSA-2021:0470

Comment 10 errata-xmlrpc 2021-02-10 16:59:49 UTC
This issue has been addressed in the following products:

  .NET Core on Red Hat Enterprise Linux

Via RHSA-2021:0472 https://access.redhat.com/errata/RHSA-2021:0472

Comment 11 errata-xmlrpc 2021-02-10 17:00:26 UTC
This issue has been addressed in the following products:

  .NET Core on Red Hat Enterprise Linux

Via RHSA-2021:0473 https://access.redhat.com/errata/RHSA-2021:0473

Comment 12 errata-xmlrpc 2021-02-10 17:29:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:0474 https://access.redhat.com/errata/RHSA-2021:0474

Comment 13 errata-xmlrpc 2021-02-10 17:36:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:0476 https://access.redhat.com/errata/RHSA-2021:0476

Comment 14 Product Security DevOps Team 2021-02-10 22:09:47 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-1721


Note You need to log in before you can comment on or make changes to this bug.